package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PriKey2PubKeyReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:38
 */
@Data
public class PriKey2PubKeyReq implements Serializable {
    private static final long serialVersionUID = 2818853426675640649L;
    private String pri;

    private static final PriKey2PubKeyReq obj = new PriKey2PubKeyReq();
    public static PriKey2PubKeyReq getNew() {
        try {
            return (PriKey2PubKeyReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PriKey2PubKeyReq();
        }
    }
}
